Package org.apache.cxf.databinding

# Interface WrapperHelper

All Known Implementing Classes:
  `AbstractWrapperHelper`

public interface WrapperHelper
This wrapper helper will help to create a wrapper object with part elements or get a list of part elements from a wrapper object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createWrapperObject(List<?> lst)`
  `String`
  `getSignature()`
  `List<Object>`
  `getWrapperParts(Object o)`

- ## Method Details

  - ### createWrapperObject

    Object createWrapperObject(List<?> lst) throws Fault
    Throws:
      `Fault`

  - ### getWrapperParts

    List<Object> getWrapperParts(Object o) throws Fault
    Throws:
      `Fault`

  - ### getSignature

    String getSignature()